Subject: bug#28948: closed (Re: bug#28948: feh does encounter certificate errors with valid certificates)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Nov 2017 15:22:02 +0000

Your bug report

#28948: feh does encounter certificate errors with valid certificates

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28948: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28948
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28948: feh does encounter certificate errors with valid certificates
From: Marius Bakke <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], ng0 <[email-masked]>
Date: Sun, 05 Nov 2017 16:21:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> I submitted it upstream in hope of getting feedback/testing there, but
> it was simply merged as-is: <https://github.com/derf/feh/pull/340>
>
> I do agree that it's rather crude, will try to improve it a bit.

Feh 2.22 has been released with this patch, so I pushed the
native-search-path update with it.

I think we should add the CURL_CA_BUNDLE search path to the "curl"
package too so that we can control it on foreign distros (it seems to
opportunistically search /etc/ssl/certs), and make libcurl users that
implement it inherit from curl using (package-native-search-paths ...).

I'll do that on 'core-updates' in a few days if no further comments.

Subject: feh does encounter certificate errors with valid certificates
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sun, 22 Oct 2017 20:33:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

feh https://i.imgur.com/263enxT.jpg
feh opens image

Problem:
user@abyayala ~/src/guix/guix$ feh https://i.imgur.com/263enxT.jpg
feh WARNING: open url: server certificate verification failed. CAfile: none CRLfile: none
feh WARNING: https://i.imgur.com/263enxT.jpg - File does not exist
feh: No loadable images specified.
See 'man feh' for detailed usage information

nss etc are in my profile, no problem with other curl based applications.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org